GPL v3 issues with Docker CE packages

Hi , we are using Docker CE 20.10.x for a product which is offered as commercial solution to our customer.
During the software composition analysis we found that the below library or package uses GPL v3 which is not allowed to be shipped as per our company internal compliance team.
Any suggestions or advise would be appreciated

/usr/share/man/man1/fuse-overlayfs.1.gz
1.18 KB
The report says its usage is Dynamically Linked.
Is it necessary to use this package during run-time ? is it okay if we delete it ? would it affect the functionality of Docker CE if removed?